extends Resource
class_name GameData


# Game Data
@export var playedGames: int = 0
@export var wonGames: int = 0
@export var totalMines: int = 0

@export var fastestEasy: float = 99.99
@export var fastestEasyMines: int = -1
@export var totalEasy = 0
@export var wonEasy = 0

@export var fastestMedium: float = 99.99
@export var fastestMediumMines: int = -1
@export var totalMedium = 0
@export var wonMedium = 0

@export var fastestHard: float = 99.99
@export var fastestHardMines: int = -1
@export var totalHard = 0
@export var wonHard = 0


# General Settings
@export var vibrate = true
@export var sound = true
@export var language = 0	# 0 -> en, 1 -> ger, 2 -> esp

@export var sensitivity = 10
@export var doubletap = false
@export var showZeros = false
@export var countDown = true
@export var hideSafeBlocks = true
@export var showOutline = true

@export var mode = true

@export var version = 6
