extends Control

var white = Color("#ffffff")
var orange = Color("#ff5814")
var hovering = 0


func _ready():
	get_tree().quit_on_go_back = true


func _process(_delta):
	if hovering > 0:
		if Input.is_action_just_released("left_mouse"):
			Singleton.fieldSize = hovering
			get_tree().change_scene_to_file("res://scenes/LoadingScreenLight.tscn")

	if Input.is_action_just_pressed("exit"):
		get_tree().quit()


func _on_button_mouse_entered():
	$Beginner/BG.color = orange
	hovering = 5


func _on_button_mouse_exited():
	$Beginner/BG.color = white
	hovering = 0


func _on_button_2_mouse_entered():
	$Intermediate/BG.color = orange
	hovering = 9


func _on_button_2_mouse_exited():
	$Intermediate/BG.color = white
	hovering = 0


func _on_button_3_mouse_entered():
	$Master/BG.color = orange
	hovering = 15


func _on_button_3_mouse_exited():
	$Master/BG.color = white
	hovering = 0
