extends Control

var orange = Color("#ff5814")
var hovering = false


func _draw():
	draw_circle(Vector2(0, -490), 100.0, Color.BLACK)
	if !hovering:
		draw_circle(Vector2(0, -490), 90.0, Color.GOLD)
	else:
		draw_circle(Vector2(0, -490), 90.0, orange)


func _process(_delta):
	if hovering and Input.is_action_just_released("left_mouse"):
		get_tree().change_scene_to_file("res://scenes/Stats.tscn")


func _on_area_2d_mouse_entered():
	hovering = true
	queue_redraw()


func _on_area_2d_mouse_exited():
	hovering = false
	queue_redraw()
