extends Control


signal save

var mode = Singleton.mode	# true -> normal, false -> purist

func update():
	$Label.text = tr("NORMALMODE") if mode else tr("PURISTMODE")
	
	if mode:
		$Hexagon.color = Color.WHITE
	else:
		$Hexagon.color = Color.CRIMSON


func _on_click(_viewport: Node, event: InputEvent, _shape_idx: int) -> void:
	if event.is_action_pressed("left_mouse"):
		mode = !mode
		Singleton.mode = mode
		save.emit()

	update()


func _on_root_loaded_mode() -> void:
	mode = Singleton.mode
	update()
